Subject: bug#37485: 27.0.50; C-m in describe-bindings

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Sep 2019 20:23:45 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 23 Sep 2019 19:07:44 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> I'm not sure I understand...
> >
> > I meant that users usually press RET, not C-m.
> 
> You've done a poll?  :-)

I don't need one.  Most users don't know C-m and RET are the same.

> >> Both RET and C-m are keys we press, but the intended (both mnemonic and
> >> ergonomic) key stroke here is `C-c C-m c' (etc) and not the awkward `C-c
> >> RET c'.
> >
> > Call me awkward, then.
> 
> But do you use RET instead of `C-m' in these keystrokes because that's
> what `describe-bindings' say or because you prefer to hit `RET'?

What's the difference?  Both, I guess.

> Anyway, I've grepped through the *.texi files, and there are 152 matches
> for `C-c C-m ...' and 8 for `C-c RET'.  And all of those 8 are for RET
> as the final character in the keystroke.
> 
> If you expand to "C-. C-m"/"C-. RET" it's 170/20.  (All those additional
> ones are from mule.texi.)
> 
> It seems the mode writers' intentions are pretty clear: They mean for
> the users to type C-c C-m ..., but `describe-bindings' tells them to type
> C-c RET.

I don't see why this should be decided by majority vote.

Anyway, what's the real problem here?  Just the fact that you
personally are annoyed?